#!/usr/bin/env python
# das.py

#$ -N das 
#$ -A co2 
#$ -pe nserial 1 
#$ -l h_rt=00:30:00 
#$ -S /bin/sh 
#$ -cwd
#$ -j y
#$ -r n

from da.tools.initexit import StartLogger
from da.tools.pipeline import Main
import logging

dummy   = StartLogger()

###########################################################################################
### IMPORT THE APPLICATION SPECIFIC MODULES HERE, TO BE PASSED INTO THE MAIN PIPELINE!!! ##
###########################################################################################

from da.ct.statevector import CtStateVector 
from da.ct.obs import CtObservations 
from da.tm5.observationoperator import TM5ObservationOperator 
from da.ct.optimizer import CtOptimizer

StateVector = CtStateVector()
Samples     = CtObservations()
ObsOperator = TM5ObservationOperator()
Optimizer   = CtOptimizer()

##########################################################################################
################### ENTER THE PIPELINE WITH THE OBJECTS PASSED BY THE USER ###############
##########################################################################################


print "\n    ********************************************************************************************************"
print "    ***************************************   Entering Pipeline   ******************************************"
print "    ********************************************************************************************************\n"

Main(Samples,StateVector,ObsOperator,Optimizer)


